#include <iostream>
int main() 
{
	int p,q,r;
	long long L,R,prva,druga,treca,br=0;
	std::cin>>p>>q>>r>>L>>R;
	if((p==1)||(q==1)||(r==1))
	{
		std::cout<<0<<"\n";
		return 0;
	}
	if(R-L<=100000)
	{
		for(int i=L;i<=R;i++)
		{
			if(i%p==0)
			prva=i/p;
			else
			prva=i/p+1;
			if(i%q==0)
			druga=i/q;
			else
			druga=i/q+1;
			if(i%r==0)
			treca=i/r;
			else
			treca=i/r+1;
			if(prva+druga+treca<=i)
			br++;
		}
		std::cout<<br<<"\n";
	}
	else
	{
		int br2=0;
		for(int i=1;i<=1000;i++)
		{
			if(i%p==0)
				prva=i/p;
				else
				prva=i/p+1;
				if(i%q==0)
				druga=i/q;
				else
				druga=i/q+1;
				if(i%r==0)
				treca=i/r;
				else
				treca=i/r+1;
				if(prva+druga+treca>i)
				br2++;
		}
		int br1=0;
		if(L<=1000)
		{
			for(int i=1;i<L;i++)
			{
				if(i%p==0)
				prva=i/p;
				else
				prva=i/p+1;
				if(i%q==0)
				druga=i/q;
				else
				druga=i/q+1;
				if(i%r==0)
				treca=i/r;
				else
				treca=i/r+1;
			//	std::cout<<prva<<" "<<druga<<" "<<treca<<" \n";
				if(prva+druga+treca>i)
				br1++;
			}
			std::cout<<R-L-br2+1+br1<<"\n";
		}
		else
		{
			std::cout<<R-L+1<<"\n";
		}
	}
	return 0;
}